> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-06-24-docs-simplify-date-zoom-usage-description.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List AI agents

> Get all AI agents for admin



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/aiAgents/admin/agents
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3228.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/aiAgents/admin/agents:
    get:
      summary: List AI agents
      description: Get all AI agents for admin
      operationId: getAllAgents
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAiAgentSummaryResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiAiAgentSummaryResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/AiAgentSummary'
          type: array
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    AiAgentSummary:
      $ref: >-
        #/components/schemas/Pick_AiAgent.uuid-or-name-or-description-or-integrations-or-tags-or-projectUuid-or-organizationUuid-or-createdAt-or-updatedAt-or-instruction-or-imageUrl-or-imageUrlSource-or-groupAccess-or-userAccess-or-spaceAccess-or-enableDataAccess-or-enableSelfImprovement-or-enableContentTools-or-adminOnly-or-version_
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    Pick_AiAgent.uuid-or-name-or-description-or-integrations-or-tags-or-projectUuid-or-organizationUuid-or-createdAt-or-updatedAt-or-instruction-or-imageUrl-or-imageUrlSource-or-groupAccess-or-userAccess-or-spaceAccess-or-enableDataAccess-or-enableSelfImprovement-or-enableContentTools-or-adminOnly-or-version_:
      properties:
        description:
          type: string
          nullable: true
        name:
          type: string
        projectUuid:
          type: string
        createdAt:
          type: string
          format: date-time
        organizationUuid:
          type: string
        uuid:
          type: string
        userAccess:
          items:
            type: string
          type: array
        updatedAt:
          type: string
          format: date-time
        integrations:
          items:
            properties:
              channelId:
                type: string
              type:
                type: string
                enum:
                  - slack
                nullable: false
            required:
              - channelId
              - type
            type: object
          type: array
        tags:
          items:
            type: string
          type: array
          nullable: true
        instruction:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        imageUrlSource:
          type: string
          enum:
            - url
            - upload
            - null
          nullable: true
        groupAccess:
          items:
            type: string
          type: array
        spaceAccess:
          items:
            type: string
          type: array
        enableDataAccess:
          type: boolean
        enableSelfImprovement:
          type: boolean
        enableContentTools:
          type: boolean
        adminOnly:
          type: boolean
        version:
          type: number
          format: double
      required:
        - description
        - name
        - projectUuid
        - createdAt
        - organizationUuid
        - uuid
        - userAccess
        - updatedAt
        - integrations
        - tags
        - instruction
        - imageUrl
        - imageUrlSource
        - groupAccess
        - spaceAccess
        - enableDataAccess
        - enableSelfImprovement
        - enableContentTools
        - adminOnly
        - version
      type: object
      description: From T, pick a set of properties whose keys are in the union K

````